View Issue Details

IDProjectCategoryView StatusLast Update
0001160VariiSpace[All Projects] Generalpublic2018-11-08 17:23
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.0-a.0 
Target VersionFixed in Version0.1.0 
Summary0001160: Pouvoir déplacer ses vaisseaux d'un OC à l'autre
DescriptionPour cela, il faudra ajouter un module de moteur,OSEF cf 0001542
Ainsi que la possibilité de déplacer ses vaisseaux via l'interface. Les déplacements prendront du temps, donc une flotte pourra être en orbite autour d'un OC, ou bien en vol entre deux OCs.

Le temps de vol dépendra d'une formule qu'il faudra établir.pas pour le moment, cf 0001542

Le vol ne coutera pas de ressource (pour le moment).
TagsNo tags attached.
Attach Tags

Relationships

parent of 0001158 CloseXenos Permettre aux joueurs de construire les vaisseaux 
parent of 0001152 CloseXenos Créer la vue navigable des objets célestes 
child of 0001542 Accepted Le temps de déplacement dépend de la distance et de la vitesse de déplacement 
child of 0001543 Accepted Les déplacements consomment du carburant 
child of 0001547 CloseXenostom Lors du déplacement des vaisseaux, choisir la cible sur la carte 

Activities

Xenostom

Xenostom

2016-06-07 15:04

developer   ~0001942

Mieux vaut en fait m'occuper d'abord du système de template, car là, je vais surement faire:
• Choisir les vaisseaux à envoyer
• Ouvrir une 2nde vue de la galaxie pour choisir où les envoyer
• Envoyer


Ben en fait, non, car on ne peut envoyer les vaisseaux que:
• Vers l'OC parent
• Vers un OC frère
• Vers un OC enfant
Donc inutile de naviguer dans toute la galaxie.
Xenos

Xenos

2016-06-07 23:12

administrator   ~0001943

Last edited: 2016-08-27 19:40

Ce n'est pas le plus ergonomique (l'idéal serait surement de sélectionner l'OC où on veut envoyer ses vaisseaux directement sur la carte, cf 0001547 ), mais c'est fonctionnel.
Xenos

Xenos

2016-08-18 22:41

administrator   ~0002153

Last edited: 2016-08-27 19:40

Rollback de ce ticket car la structure générale (archi de "Common") a changée. Il va donc falloir faire le plus progressif possible, avec une release dans les plus brefs délais (en "lecture seul", comme pour ECLERD).
Xenos

Xenos

2016-08-28 18:45

administrator   ~0002194

A reprendre car je n'ai plus de vaisseau pour l'instant.
Xenostom

Xenostom

2018-11-08 17:23

developer   ~0003873

Mécanisme de déplacement en place

Issue History

Date Modified Username Field Change
2016-04-24 21:42 Xenos New Issue
2016-04-24 21:42 Xenos Status New => Accepted
2016-04-24 21:53 Xenos Relationship added parent of 0001158
2016-04-24 21:54 Xenos Relationship added parent of 0001152
2016-06-05 21:23 Xenos Relationship added child of 0001542
2016-06-05 21:24 Xenos Description Updated View Revisions
2016-06-05 21:26 Xenos Relationship added child of 0001543
2016-06-07 14:44 Xenostom Assigned To => Xenostom
2016-06-07 14:44 Xenostom Status Accepted => In progress
2016-06-07 15:02 Xenostom Status In progress => Accepted
2016-06-07 15:02 Xenostom Relationship added parent of 0001523
2016-06-07 15:04 Xenostom Note Added: 0001942
2016-06-07 15:04 Xenostom Relationship deleted parent of 0001523
2016-06-07 21:14 Xenos Status Accepted => In progress
2016-06-07 23:12 Xenos Relationship added child of 0001547
2016-06-07 23:12 Xenos Note Added: 0001943
2016-06-07 23:12 Xenos Status In progress => Ready
2016-06-07 23:12 Xenos Resolution open => fixed
2016-08-18 22:41 Xenos Status Ready => Accepted
2016-08-18 22:41 Xenos Note Added: 0002153
2016-08-27 19:39 AutoUpdater Assigned To Xenostom => Xenos
2016-08-27 19:39 AutoUpdater Status Accepted => Resolved
2016-08-27 19:40 AutoUpdater Fixed in Version => 0.1.0
2016-08-28 18:45 Xenos Note Added: 0002194
2016-08-28 18:45 Xenos Status Resolved => Understood
2018-11-08 17:23 Xenostom Status Understood => Close
2018-11-08 17:23 Xenostom Note Added: 0003873